Subject: Re: Speaking of MIG welders

From: "J.A.Harvey" <[email-masked]>
Date: 12 Aug 1995 05:00:54 GMT

mrembisz@rbdcRbdccom (Mike Rembisz) wrote:
>I just recently learned how to MIG weld my Classic Mustangs.  Now I'm 
>ready to weld away.  My question is this... keeping in mind that I will 
>be an amateur at best and I will not be doing this for a living, will 
>something like a Century 90 amp, 115v unit do me alright?  This model has 
>4 power steps and continuous wire feed speed control.  I know that the 
>pros feel that continuous power control is best but honestly, for what I 
>want to do with a MIG welder, don't you think this model will work for 
>me?  Your thoughts will be appreciated.....
>
>Thanks,
>Mike
>
I think that you should take a look at the Lincoln SP-100, 150. This unit 
will weld anything that you are likely to come up with. it is small 
enough to put in the trunk of your mustang, and after 5 years of running 
mine at least 25 hours a week (SP-100) in the shop and out, the only 
thing I have ever replaced is the wiper for the wire feed, and the 
trigger on the gun (A Bernard which I like better than the tweco style) 
The tips are press in which some people don't like, but I have never had 
a problem with them.

They run about 600.00 although you might find a used one a lot cheaper.

Jim Harvey

---

From: [email-masked] (Paul Probus)
Date: 12 Aug 1995 23:16:49 GMT

In article <[email-masked]>, [email-masked] says...
>They run about 600.00 although you might find a used one a lot cheaper.
I agree with Jim.  If it's your only welder then you're better off getting a 
Lincoln.  They're no longer as expensive as Jim says.  You can get one 
reasonably priced at Home Depot.  I'd also recommend getting a larger welder, 
if this is going to be your only welder, a welder that small is really only 
good as a second welder, IMHO.

I own the Daytona Pocket Turbo Mig and I love it.  It works off my father's 4KW 
generator with no problem and it's great for sheet metal and thin wall tubing. 
It's also great for tack welding thick peices that I permanently weld with my 
father's stick welder.  I decided on the Daytona and it's size because of price 
since I knew I wouldn't use it very often and I needed something to weld 
sheetmetal and thin wall tubing and I wanted something portable but my father 
already had a good stick welder, otherwise I would have bought a big Lincoln 
Mig welder. However, other than tips, I'll have to mail order any replacement 
parts I need, which is why I recommend the Lincoln since most welding supply 
stores have parts for Lincolns.  Had it about 3 years now, used infrequently, 
but it's always been ready when I needed it.

Good Luck,
Paul Probus
[email-masked]

---

From: mrembisz@rbdcRbdccom (Mike Rembisz)
Date: 11 Aug 1995 20:49:50 GMT

Thanks,
Mike

---

From: [email-masked] (ErnieLeim)
Date: 11 Aug 1995 21:45:51 -0400

Century welders are made by altec, and are at the bottom of the food
chain.
A 90 amp welder is capable of welds on up to 1/8 in. steel .
The duty cycle ( the percentage of time that the welder can be used 
compared to the time it takes to cool off) is real low for these machines
and they get kind of ustable after a little while.  
If you are only welding sheet metal or thin wall tubing , it might do ,
but I would rather use my tongue as a ground cable than use one.
Good luck
@---------------------------------------------------------@
                    Ernie Leimkuhler                                      

                  Stagesmith Productions                                  
                                          
                 Custom Metal Fabrication                                 
               
*    ABANA   SCA     AWS    USITT   IATSE local 15, 488   *
                        Renton, WA                                        
   
*"Rich gifts wax poor when givers prove unkind" the bard  *
@---------------------------------------------------------@

---

From: [email-masked] (Odea56)
Date: 13 Aug 1995 00:57:05 -0400

Ernie Leimkuhler  posted

Erinie  Century welders are manufactured in Minneapolis by Century
manufacturing.  The CEO and founder is Lee Sundett.  It is now run by his
son Scott Sundett.  Their 90 amp welder is not half bad.  Their 70 amp mig
is a piece of garbage.  I have also used their 160 and 225 amp mig all are
reasonable machines.  I do feel that Lincoln (with the exception of the
Weldmate 100) and Miller manufacture higher quality machines, but then the
price differencial is considerable in most instances.  The small Century
machine does the best job off feeding Aluminum of all the major brands. 
I made a bet with Scott Sundett that the machine would not survive a week
long trade show running .023 4043 Aluminum.   I LOST.  I used to sell the
machines but do not at this time I do currently sell miller machines and
do like the MM130 over the 90 amp century.  But then I'm biased.

[email-masked]

---

From: [email-masked] (Odea56)
Date: 13 Aug 1995 00:57:05 -0400

Paul Probus WROTE

I agree with Jim.  If it's your only welder then you're better off getting
a 
Lincoln.  They're no longer as expensive as Jim says.  You can get one 
reasonably priced at Home Depot.  I'd also recommend getting a larger
welder, 
if this is going to be your only welder, a welder that small is really
only 
good as a second welder, IMHO. 

>They run about 600.00 although you might find a used one a lot cheaper.

Puaul; the machine offered by Home Depot cost less because it is less. 
This machine is called the Weldmate 100.  It has a lower AMP rating Duty
cylcle and only runs flux cored wire.  The lincoln SP-100 is a totally
different machine.  The welding equipment distributors complained to
Lincoln about the similarity of names and Lincoln has renamed the SP-100. 
It is now called the SP-125.  It is setup for both fluxcored and solid
wire.  In my opinion you will be happy with the SP100 (SP125) and
seriously disapointed with the Weldmate 100.

[email-masked]

---

From: Mike Rehmus <[email-masked]>
Date: 12 Aug 1995 05:57:10 GMT

Mike,

I have a Century welder exactly as you describe and purchased for exactly the same purpose (67 
Cougars).  Somewhat of a disappointment because the available wire has such a high tensile 
strength that the welds are brittle and tend to crack if you try to metal finish them.  I'm 
assuming you are going to use this for bodywork on visible panels.
  
Ernie Leim, a frequent and helpful poster on this group said he has a line on softer wire that 
will work.  He will post the source when he gets an answer from his welding supply house.  What 
is wanted is wire with about 30 to 35 K pounds of tensile strength, not the 60K pounds that all 
the welding wire suppliers seem to be able to come up with.  60K wire is great for welding the 
high-strength steel found in the support structures of new cars.  In fact, it is necessary.

I ended up learning to hammer weld using an acetyline torch in order to have acceptable weld 
finish without cracks.

Maybe someone else knows how to make the MIG work but the custom body artists I've talked to said 
to use gas or TIG, not MIG.  They prefer TIG run down around 10 to 30 amps and little or no 
filler rod if possible.  

Ron Covell has switched entirely to TIG for both his steel and aluminum bodies.  He won the Most 
Beautiful Roadster award at the Oakland Roadster Show a couple of times and seems to know what he 
is doing.  He is at least as good as Ron Fornier in the metalworking department and is an artist 
first and metalworker second.  If you want to learn a little more about body work, he does hold 
classes and does sell videotapes that are pretty good.

E-mail me if you want his address and telephone number.

BTW, both Covell and Fornier now publish newsletters on body metal working.

Best,

Mike Rehmus

---

From: [email-masked] (Paul Probus)
Date: 13 Aug 1995 22:36:38 GMT

In article <[email-masked]>, [email-masked] says...
>>a Lincoln.  They're no longer as expensive as Jim says.  You can get one 
>>reasonably priced at Home Depot.  lot cheaper.
>

>seriously disapointed with the Weldmate 100.

Oops.  I thought that it was a Mig welder, not a flux cored welder.  I'd better 
check closer next time :).  Sorry about any confusion I may have caused.  
Didn't look that close because I already own a Mig welder.

Thanks ODEA56,
Paul Probus
[email-masked]

---

From: [email-masked] (ErnieLeim)
Date: 13 Aug 1995 08:56:51 -0400

My apologies if I affronted your opinion of century.
I do have a freind who has an ALTEC that is the exact same machine as
their 90 amp one. Maybe they made it for Altec , but my freinds who sell
welders said the opposite.
The good points in it's favor are the 30 lb. spool capacity and the very
fast wire feeder. 
While the the faster wire feed does make it possible to weld aluminum, the
instability of the machine at the high end of it's amperage nocks it way
down the list from a Hobart Handler, Miller 130 or even a Lincoln SP-125.
They are fine for someone who isn't going to use them hard, like a weekend
hobbyist, but for serious work I'd avoid them like the plague.
Nothing personal , but that's the way I feel.
Best of luck
A small note to all intersted parties.
Illinois Tool now owns Hobart, Miller and Powcon. So far they have let
each company take their own path, but they are starting to share
technology and might start to standardize some machines. For anyone who
hasn't heard of Powcon, They are the rolls-royce of tiny but powerful
inverter welders. They are quite expensive , but beautiful machines. They
have a 300 amp AC-DC MIG, TIG, Plasma cutter, that's the same size as a
Miller 130.

                  Stagesmith Productions                                  
                                          
                 Custom Metal Fabrication

---

From: [email-masked] (Mike Rembisz)
Date: Sun, 13 Aug 1995 13:36:51 GMT

[email-masked] (Odea56) wrote:

>Century welders are manufactured in Minneapolis by Century

>[email-masked] 
 Since you have some experience with MIG welders, what is your opinion
of the Century 90/105?  It has a switch to switch from 90 amps to off
to 105 amps and continuously variable power control instead of the 4
power level switch.  Northern Hydraulics carries it out here and I'm
going to look at it today.  One fact is confusing though, the catalog
says that it has 100% duty cycle at 90 amps down to 20% duty cycle at
105.  Just about every other welder including Lincoln, Miller, and
Century have 20% duty cycles at best.  I've only seen 100% duty cycles
at the high amperages on units costing $1500 and up.  Is this 100%
number a misprint or am I missing out on something???

Mike